

# FOR ANNUAL REVIEW PAPER
# REPLICATION ANALYSIS FOR TABLE 3 OF PAPER

rm(list=ls())

# must reset directories to those with files on local system to run
setwd("C:/Users/lincoln/Box/audit/annual_review")

# need to install tidyvers and metafor packages (un-comment below as needed)
#install.packages("tidyverse")
library(tidyverse)

#install.packages("metafor")
library(metafor)


## ANALYSIS BELOW ALL COUNTRY-GROUP COMBOS WITH 2+ STUDIES

code5small <- read.table("C:/Users/lincoln/Box/audit/annual_review/studylist2.csv", sep=",", header=TRUE)

## META-ANALYSIS WITH ALL COUNTRY-GROUP INTERACTIONS FOR FIGURE
out3c1d <- rma(lrr_best, rr_best_lnvar, data=code5small, method="REML", mods=~ country*min_rec, knha=TRUE)

##IMPORTANT: further analysis found SEs in robust estimates below to be seriously incorrect
r3c1d <- robust(out3c1d,code5small$studyid2,adjust=TRUE)

out3tot <- rma(lrr_best, rr_best_lnvar, data=code5small, method="REML", knha=TRUE)
rout3tot <- robust(out3tot,code5small$studyid2,adjust=TRUE)

# predictions from model with basic controls, second line some not-present interactions

cmc<- code5small %>% count(country,min_rec)
hold9<-model.matrix( ~ country*min_rec, cmc)
hold11<-hold9[,colnames(hold9) %in% rownames(out3c1d$b)]

# using the "rma" output rather than "robust" because robust output here is wrong
cpd2<-predict(out3c1d,hold11,addx=TRUE, transf=exp)

sbycg<- code5small %>% group_by(country, min_rec) %>% summarize(numstudbycg = n_distinct(studyid)) %>% ungroup

cpd3<-cbind(sbycg,cpd2$pred,cpd2$ci.lb,cpd2$ci.ub)
colnames(cpd3)<-c("country","min_rec","numstudbycg","pred","ci.lb","ci.ub")

write.table(cpd3, "C:/Users/lincoln/Box/audit/annual_review/ann_rev_table3.csv", sep=",", append=TRUE, row.names=FALSE)

# note average/overall line is in rout3tot (in log form)


